org.apache.ignite.internal.client.router.impl

## Class GridRouterCommandLineStartup

- java.lang.Object
- - org.apache.ignite.internal.client.router.impl.GridRouterCommandLineStartup

    public class GridRouterCommandLineStartup
    extends Object

Loader class for router.

### Constructor Summary

Constructors
Constructor and Description
`GridRouterCommandLineStartup()`

### Method Summary

Methods
`static void` `main(String[] args)` Wrapper method to run router from command-line.
`void` `start(Map<Class<?>,Object> beans)` Search given context for required configuration and starts router.
`void` `stop()` Stops router.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridRouterCommandLineStartup

    public GridRouterCommandLineStartup()

### Method Detail

#### start

    public void start(Map<Class<?>,Object> beans)

Search given context for required configuration and starts router.

Parameters:
  `beans` - Beans loaded from spring configuration file.

#### stop

    public void stop()

Stops router.

#### main

    public static void main(String[] args)
                     throws IgniteCheckedException

Wrapper method to run router from command-line.

Parameters:
  `args` - Command-line arguments.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017